Package.describe({
  name: 'fgm:errors',
  version: '0.0.1',

  // Brief, one-line summary of the package.
  summary: 'A pattern to display application errors to the user',

  // URL to the Git repository containing the source code for this package.
  // git: '',

  // By default, Meteor will default to using README.md for documentation.
  // To avoid submitting documentation, set this field to null.
  documentation: 'README.md'
});

Package.onUse(function(api) {
  var where = 'client';

  api.versionsFrom('1.1.0.3');
  api.use(['minimongo', 'mongo-livedata', 'templating'], where);
  api.addFiles(['errors.js', 'errors_list.html', 'errors_list.js'], where);

  if (api.export) {
    api.export('Errors');
  }
});

Package.onTest(function(api) {
  var where = 'client';

  api.use('fgm:errors', where);
  api.use(['tinytest', 'test-helpers'], where);

  api.addFiles('errors_tests.js', where);
});
